org.eclipse.graphiti.ui.internal.parts

## Class ConnectionEditPart

- java.lang.Object
- - org.eclipse.gef.editparts.AbstractEditPart
  - - org.eclipse.gef.editparts.AbstractGraphicalEditPart
    - - org.eclipse.gef.editparts.AbstractConnectionEditPart
      - - org.eclipse.graphiti.ui.platform.GraphitiConnectionEditPart
        - - org.eclipse.graphiti.ui.internal.parts.ConnectionEditPart

All Implemented Interfaces:
  IAdaptable, org.eclipse.gef.ConnectionEditPart, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.LayerConstants, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants, IFeatureProviderHolder, IConfigurationProviderHolder, IAnchorContainerEditPart, IConnectionEditPart, IPictogramElementEditPart

Direct Known Subclasses:
  CompositeConnectionEditPart, CurvedConnectionEditPart, FreeFormConnectionEditPart, ManhattanConnectionEditPart

    public abstract class ConnectionEditPart
    extends GraphitiConnectionEditPart
    implements IConnectionEditPart, org.eclipse.gef.NodeEditPart

A ConnectionEditPart, which model is of the type Connection.

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.LayerConstants

`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionEditPart(IConfigurationProviderInternal configurationProvider, Connection connection, org.eclipse.gef.EditPart contextParent)` Creates a new ConnectionEditPart.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate()` Adds this EditPart as an AnchorListener on activation.
`void` `deactivate()` Removes this EditPart as an AnchorListener on deactivation.
`void` `forceVisualRefresh()`
`Object` `getAdapter(Class key)`
`IConfigurationProviderInternal` `getConfigurationProvider()` Gets the configuration provider.
`IFeatureProvider` `getFeatureProvider()` Gets the feature provider.
`List<PictogramElement>` `getModelChildren()` Gets the model children.
`List<Connection>` `getModelSourceConnections()` Gets the model source connections.
`List<Connection>` `getModelTargetConnections()` Gets the model target connections.
`PictogramElement` `getPictogramElement()` Returns the `PictogramElement` (the model object) that this `EditPart` represents.
`IPictogramElementDelegate` `getPictogramElementDelegate()` Gets the pictogram element delegate.
`org.eclipse.draw2d.ConnectionAnchor` `getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor` `getSourceConnectionAnchor(org.eclipse.gef.Request request)`
`org.eclipse.draw2d.ConnectionAnchor` `getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor` `getTargetConnectionAnchor(org.eclipse.gef.Request request)`
`org.eclipse.gef.EditPart` `getTargetEditPart(org.eclipse.gef.Request request)`
`void` `performRequest(org.eclipse.gef.Request request)` This method tries to perform a direct-editing with the given request (see getLabels()).
`void` `refreshDecorators()`
`String` `toString()`

### Methods inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart

`addNotify, getConnectionFigure, getDragTracker, getSource, getTarget, refresh, removeNotify, setParent, setSource, setTarget`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, isSelectable, removeNodeListener, setLayoutConstraint`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, removeEditPartListener, removeEditPolicy, setFocus, setModel, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Constructor Detail

#### ConnectionEditPart

    public ConnectionEditPart(IConfigurationProviderInternal configurationProvider,
                              Connection connection,
                              org.eclipse.gef.EditPart contextParent)

Creates a new ConnectionEditPart.

Parameters:
  `configurationProvider` - the configuration provider
  `connection` - the connection

### Method Detail

#### activate

    public void activate()

Adds this EditPart as an AnchorListener on activation.

Specified by:
  `activate` in interface `org.eclipse.gef.EditPart`
Overrides:
  `activate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

#### deactivate

    public void deactivate()

Removes this EditPart as an AnchorListener on deactivation.

Specified by:
  `deactivate` in interface `org.eclipse.gef.EditPart`
Overrides:
  `deactivate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

#### getConfigurationProvider

    public IConfigurationProviderInternal getConfigurationProvider()

Gets the configuration provider.

Specified by:
  `getConfigurationProvider` in interface `IConfigurationProviderHolder`
Returns:
  The IConfigurationProviderInternal of this EditPart

#### getPictogramElement

    public PictogramElement getPictogramElement()

Description copied from class: `GraphitiConnectionEditPart`
Returns the `PictogramElement` (the model object) that this `EditPart` represents.

Specified by:
  `getPictogramElement` in interface `IPictogramElementEditPart`
Specified by:
  `getPictogramElement` in class `GraphitiConnectionEditPart`
Returns:
  the `PictogramElement`

#### getModelChildren

    public List<PictogramElement> getModelChildren()

Description copied from interface: `IPictogramElementEditPart`
Gets the model children.

Specified by:
  `getModelChildren` in interface `IPictogramElementEditPart`
Overrides:
  `getModelChildren` in class `org.eclipse.gef.editparts.AbstractEditPart`
Returns:
  the model children

#### getModelSourceConnections

    public List<Connection> getModelSourceConnections()

Description copied from interface: `IPictogramElementEditPart`
Gets the model source connections.

Specified by:
  `getModelSourceConnections` in interface `IPictogramElementEditPart`
Overrides:
  `getModelSourceConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
Returns:
  the model source connections

#### getModelTargetConnections

    public List<Connection> getModelTargetConnections()

Description copied from interface: `IPictogramElementEditPart`
Gets the model target connections.

Specified by:
  `getModelTargetConnections` in interface `IPictogramElementEditPart`
Overrides:
  `getModelTargetConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`
Returns:
  the model target connections

#### getTargetEditPart

    public org.eclipse.gef.EditPart getTargetEditPart(org.eclipse.gef.Request request)

Specified by:
  `getTargetEditPart` in interface `org.eclipse.gef.EditPart`
Overrides:
  `getTargetEditPart` in class `org.eclipse.gef.editparts.AbstractEditPart`

#### getAdapter

    public Object getAdapter(Class key)

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.gef.editparts.AbstractConnectionEditPart`

#### getFeatureProvider

    public IFeatureProvider getFeatureProvider()

Description copied from interface: `IFeatureProviderHolder`
Gets the feature provider.

Specified by:
  `getFeatureProvider` in interface `IFeatureProviderHolder`
Returns:
  the feature provider

#### getPictogramElementDelegate

    public IPictogramElementDelegate getPictogramElementDelegate()

Description copied from interface: `IPictogramElementEditPart`
Gets the pictogram element delegate.

Specified by:
  `getPictogramElementDelegate` in interface `IPictogramElementEditPart`
Returns:
  the pictogram element delegate

#### forceVisualRefresh

    public void forceVisualRefresh()

Specified by:
  `forceVisualRefresh` in interface `IConnectionEditPart`

#### toString

    public String toString()

Overrides:
  `toString` in class `org.eclipse.gef.editparts.AbstractEditPart`

#### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

Specified by:
  `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

#### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

Specified by:
  `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

#### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.Request request)

Specified by:
  `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

#### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.Request request)

Specified by:
  `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

#### performRequest

    public void performRequest(org.eclipse.gef.Request request)

This method tries to perform a direct-editing with the given request (see getLabels()). Additionaly it tries to forward certain requests to this EditPart (e.g. RequestConstants.REQ_OPEN). If this is not possbile, it forwards the request to super.performRequest(request).

Specified by:
  `performRequest` in interface `org.eclipse.gef.EditPart`
Overrides:
  `performRequest` in class `org.eclipse.gef.editparts.AbstractEditPart`
Parameters:
  `request` - the request
See Also:
  `EditPart.performRequest(Request)`

#### refreshDecorators

    public void refreshDecorators()

Specified by:
  `refreshDecorators` in interface `IAnchorContainerEditPart`